/// <reference types="react" />
interface CheckboxProps {
    isChecked: boolean;
    setChecked: React.Dispatch<React.SetStateAction<boolean>>;
    styles?: {
        width?: number;
        height?: number;
        borderColor?: string;
        borderWidth?: number;
        borderRadius?: number;
        activeBackgroundColor?: string;
        inactiveBackgroundColor?: string;
        fillPercentage?: number;
    };
}
export default function Checkbox({ isChecked, setChecked, styles, }: CheckboxProps): import("react").JSX.Element;
export {};
